@import model._

@(games: Seq[GameWithStatusInfo], viewingSession: (Int, Int), sessionCounts: Map[Int, Int])(implicit req: MessagesRequest[AnyContent], user: User)

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers("Game Health")

        <script src="@routes.Assets.at("scripts/redirectonchange.js")" defer></script>
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h5>Game Health</h5>
            <hr />
            <div class="row my-2">
                <div class="col-sm">
                    <div class="row">
                        <div class="col">
                            <label for="season-select">Season</label>
                            <select id="season-select" class="custom-select">
                            @for((season,_) <- sessionCounts){
                                @if(season == viewingSession._1){
                                    <option value="@routes.AdminController.showGameHealthTable(season, 1)" selected>@season</option>
                                } else {
                                    <option value="@routes.AdminController.showGameHealthTable(season, 1)">@season</option>
                                }
                            }
                            </select>
                        </div>
                        <div class="col">
                            <label for="session-select">Session</label>
                            <select id="session-select" class="custom-select">
                            @for(session <- 0 to sessionCounts.getOrElse(viewingSession._1, 1)){
                                @if(session == viewingSession._2){
                                    <option value="@routes.AdminController.showGameHealthTable(viewingSession._1, session)" selected>@session</option>
                                } else {
                                    <option value="@routes.AdminController.showGameHealthTable(viewingSession._1, session)">@session</option>
                                }
                            }
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-sm"></div> <!-- Used for padding on Desktop -->
            </div>
            <ul id="calc-tab-selector" class="nav nav-tabs" role="tablist">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#mlr">MLR</a>
                </li>
                <li class="nav-item ml-2">
                    <a class="nav-link" data-toggle="tab" href="#milr">MiLR</a>
                </li>
            </ul>
            <div id="calc-tab-content" class="tab-content">
                <div id="mlr" class="tab-pane fade show active">
                    <div class="table-responsive">
                        <table class="table table-sm table-striped">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Inning</th>
                                    <th>Awards</th>
                                    <th>A-Lineup</th>
                                    <th>H-Lineup</th>
                                    <th>Thread</th>
                                    <th>Last Update</th>
                                    <th>Count</th>
                                </tr>
                            </thead>
                            <tbody>
                                @for(game <- games.filterNot(_.gameWithState.game.milr).sortBy(_.gameWithState.game.id)){
                                    <tr>
                                        <td><a href="@routes.GameController.viewGame(game.gameWithState.game.id)">@game.gameWithState.game.id</a></td>
                                        <td>@game.gameWithState.name</td>
                                        <td>@{if(game.gameWithState.game.completed) "Final" else s"${game.gameWithState.state.inningStr}.${game.gameWithState.state.outs}"}</td>
                                        <td>@game.awards.map(_ => "Set").getOrElse("None")</td>
                                        <td>@game.gameWithState.game.awayLineup.map(_ => "Set").getOrElse("None")</td>
                                        <td>@game.gameWithState.game.homeLineup.map(_ => "Set").getOrElse("None")</td>
                                        <td>@game.gameWithState.game.id36.getOrElse("None")</td>
                                        <td>@game.recentAction.map(_.actionStamp.toString()).getOrElse("None")</td>
                                        <td>@game.totalPlays</td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <div id="milr" class="tab-pane fade">
                    <div class="table-responsive">
                        <table class="table table-sm table-striped">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Inning</th>
                                    <th>Awards</th>
                                    <th>A-Lineup</th>
                                    <th>H-Lineup</th>
                                    <th>Thread</th>
                                    <th>Last Update</th>
                                    <th>Count</th>
                                </tr>
                            </thead>
                            <tbody>
                                @for(game <- games.filter(_.gameWithState.game.milr).sortBy(_.gameWithState.game.id)){
                                    <tr>
                                        <td><a href="@routes.GameController.viewGame(game.gameWithState.game.id)">@game.gameWithState.game.id</a></td>
                                        <td>@game.gameWithState.name</td>
                                        <td>@{if(game.gameWithState.game.completed) "Final" else s"${game.gameWithState.state.inningStr}.${game.gameWithState.state.outs}"}</td>
                                        <td>@game.awards.map(_ => "Set").getOrElse("None")</td>
                                        <td>@game.gameWithState.game.awayLineup.map(_ => "Set").getOrElse("None")</td>
                                        <td>@game.gameWithState.game.homeLineup.map(_ => "Set").getOrElse("None")</td>
                                        <td>@game.gameWithState.game.id36.getOrElse("None")</td>
                                        <td>@game.recentAction.map(_.actionStamp.toString()).getOrElse("None")</td>
                                        <td>@game.totalPlays</td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>